/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\Rewards\BouncingSquirrel.cs
Lines of code: 48

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Targeting;
using System.Collections;
using Server.Mobiles;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "a squirrel corpse" )]
	public class BouncingSquirrel : BaseCreature
	{
		[Constructable]
		public BouncingSquirrel() : base( AIType.AI_Melee, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Summoned = true; 
			Tamable = false;
			ControlSlots = 0;
	
			Name = "a squirrel";
			Body = 278;
			Hue = Utility.RandomList(1190, 1192, 1175, 0);
			BaseSoundID = 0x188;

			SetHits( 7, 13 );
			Blessed = true;
			
			Timer.DelayCall( TimeSpan.FromSeconds( 7.0 ), new TimerCallback( Delete ) );
		}
		
		public override bool CanBeDamaged()
		{
			return false;
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lesser; } }

		public BouncingSquirrel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			this.Delete();
		}
	}
}
